Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network220.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
220.0.0.0
Broadcast address
221.255.255.255
First usable
220.0.0.1
Last usable
221.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
C (default /24)
As numbers
Hex DC000000 · Integer 3690987520 to 3724541951
Reverse DNS zones
220.in-addr.arpa
221.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011100.00000000.00000000.00000000220.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11011100.00000000.00000000.00000000220.0.0.0
Broadcast11011101.11111111.11111111.11111111221.255.255.255
Split into smaller subnets/18

220.0.0.0/7 makes 2,048 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1220.0.0.0/18220.0.0.1 to 220.0.63.254220.0.63.25516,382
2220.0.64.0/18220.0.64.1 to 220.0.127.254220.0.127.25516,382
3220.0.128.0/18220.0.128.1 to 220.0.191.254220.0.191.25516,382
4220.0.192.0/18220.0.192.1 to 220.0.255.254220.0.255.25516,382
5220.1.0.0/18220.1.0.1 to 220.1.63.254220.1.63.25516,382
6220.1.64.0/18220.1.64.1 to 220.1.127.254220.1.127.25516,382
7220.1.128.0/18220.1.128.1 to 220.1.191.254220.1.191.25516,382
8220.1.192.0/18220.1.192.1 to 220.1.255.254220.1.255.25516,382
9220.2.0.0/18220.2.0.1 to 220.2.63.254220.2.63.25516,382
10220.2.64.0/18220.2.64.1 to 220.2.127.254220.2.127.25516,382
11220.2.128.0/18220.2.128.1 to 220.2.191.254220.2.191.25516,382
12220.2.192.0/18220.2.192.1 to 220.2.255.254220.2.255.25516,382
13220.3.0.0/18220.3.0.1 to 220.3.63.254220.3.63.25516,382
14220.3.64.0/18220.3.64.1 to 220.3.127.254220.3.127.25516,382
15220.3.128.0/18220.3.128.1 to 220.3.191.254220.3.191.25516,382
16220.3.192.0/18220.3.192.1 to 220.3.255.254220.3.255.25516,382
17220.4.0.0/18220.4.0.1 to 220.4.63.254220.4.63.25516,382
18220.4.64.0/18220.4.64.1 to 220.4.127.254220.4.127.25516,382
19220.4.128.0/18220.4.128.1 to 220.4.191.254220.4.191.25516,382
20220.4.192.0/18220.4.192.1 to 220.4.255.254220.4.255.25516,382
21220.5.0.0/18220.5.0.1 to 220.5.63.254220.5.63.25516,382
22220.5.64.0/18220.5.64.1 to 220.5.127.254220.5.127.25516,382
23220.5.128.0/18220.5.128.1 to 220.5.191.254220.5.191.25516,382
24220.5.192.0/18220.5.192.1 to 220.5.255.254220.5.255.25516,382
25220.6.0.0/18220.6.0.1 to 220.6.63.254220.6.63.25516,382
26220.6.64.0/18220.6.64.1 to 220.6.127.254220.6.127.25516,382
27220.6.128.0/18220.6.128.1 to 220.6.191.254220.6.191.25516,382
28220.6.192.0/18220.6.192.1 to 220.6.255.254220.6.255.25516,382
29220.7.0.0/18220.7.0.1 to 220.7.63.254220.7.63.25516,382
30220.7.64.0/18220.7.64.1 to 220.7.127.254220.7.127.25516,382
31220.7.128.0/18220.7.128.1 to 220.7.191.254220.7.191.25516,382
32220.7.192.0/18220.7.192.1 to 220.7.255.254220.7.255.25516,382
33220.8.0.0/18220.8.0.1 to 220.8.63.254220.8.63.25516,382
34220.8.64.0/18220.8.64.1 to 220.8.127.254220.8.127.25516,382
35220.8.128.0/18220.8.128.1 to 220.8.191.254220.8.191.25516,382
36220.8.192.0/18220.8.192.1 to 220.8.255.254220.8.255.25516,382
37220.9.0.0/18220.9.0.1 to 220.9.63.254220.9.63.25516,382
38220.9.64.0/18220.9.64.1 to 220.9.127.254220.9.127.25516,382
39220.9.128.0/18220.9.128.1 to 220.9.191.254220.9.191.25516,382
40220.9.192.0/18220.9.192.1 to 220.9.255.254220.9.255.25516,382
41220.10.0.0/18220.10.0.1 to 220.10.63.254220.10.63.25516,382
42220.10.64.0/18220.10.64.1 to 220.10.127.254220.10.127.25516,382
43220.10.128.0/18220.10.128.1 to 220.10.191.254220.10.191.25516,382
44220.10.192.0/18220.10.192.1 to 220.10.255.254220.10.255.25516,382
45220.11.0.0/18220.11.0.1 to 220.11.63.254220.11.63.25516,382
46220.11.64.0/18220.11.64.1 to 220.11.127.254220.11.127.25516,382
47220.11.128.0/18220.11.128.1 to 220.11.191.254220.11.191.25516,382
48220.11.192.0/18220.11.192.1 to 220.11.255.254220.11.255.25516,382
49220.12.0.0/18220.12.0.1 to 220.12.63.254220.12.63.25516,382
50220.12.64.0/18220.12.64.1 to 220.12.127.254220.12.127.25516,382
51220.12.128.0/18220.12.128.1 to 220.12.191.254220.12.191.25516,382
52220.12.192.0/18220.12.192.1 to 220.12.255.254220.12.255.25516,382
53220.13.0.0/18220.13.0.1 to 220.13.63.254220.13.63.25516,382
54220.13.64.0/18220.13.64.1 to 220.13.127.254220.13.127.25516,382
55220.13.128.0/18220.13.128.1 to 220.13.191.254220.13.191.25516,382
56220.13.192.0/18220.13.192.1 to 220.13.255.254220.13.255.25516,382
57220.14.0.0/18220.14.0.1 to 220.14.63.254220.14.63.25516,382
58220.14.64.0/18220.14.64.1 to 220.14.127.254220.14.127.25516,382
59220.14.128.0/18220.14.128.1 to 220.14.191.254220.14.191.25516,382
60220.14.192.0/18220.14.192.1 to 220.14.255.254220.14.255.25516,382
61220.15.0.0/18220.15.0.1 to 220.15.63.254220.15.63.25516,382
62220.15.64.0/18220.15.64.1 to 220.15.127.254220.15.127.25516,382
63220.15.128.0/18220.15.128.1 to 220.15.191.254220.15.191.25516,382
64220.15.192.0/18220.15.192.1 to 220.15.255.254220.15.255.25516,382
65220.16.0.0/18220.16.0.1 to 220.16.63.254220.16.63.25516,382
66220.16.64.0/18220.16.64.1 to 220.16.127.254220.16.127.25516,382
67220.16.128.0/18220.16.128.1 to 220.16.191.254220.16.191.25516,382
68220.16.192.0/18220.16.192.1 to 220.16.255.254220.16.255.25516,382
69220.17.0.0/18220.17.0.1 to 220.17.63.254220.17.63.25516,382
70220.17.64.0/18220.17.64.1 to 220.17.127.254220.17.127.25516,382
71220.17.128.0/18220.17.128.1 to 220.17.191.254220.17.191.25516,382
72220.17.192.0/18220.17.192.1 to 220.17.255.254220.17.255.25516,382
73220.18.0.0/18220.18.0.1 to 220.18.63.254220.18.63.25516,382
74220.18.64.0/18220.18.64.1 to 220.18.127.254220.18.127.25516,382
75220.18.128.0/18220.18.128.1 to 220.18.191.254220.18.191.25516,382
76220.18.192.0/18220.18.192.1 to 220.18.255.254220.18.255.25516,382
77220.19.0.0/18220.19.0.1 to 220.19.63.254220.19.63.25516,382
78220.19.64.0/18220.19.64.1 to 220.19.127.254220.19.127.25516,382
79220.19.128.0/18220.19.128.1 to 220.19.191.254220.19.191.25516,382
80220.19.192.0/18220.19.192.1 to 220.19.255.254220.19.255.25516,382
81220.20.0.0/18220.20.0.1 to 220.20.63.254220.20.63.25516,382
82220.20.64.0/18220.20.64.1 to 220.20.127.254220.20.127.25516,382
83220.20.128.0/18220.20.128.1 to 220.20.191.254220.20.191.25516,382
84220.20.192.0/18220.20.192.1 to 220.20.255.254220.20.255.25516,382
85220.21.0.0/18220.21.0.1 to 220.21.63.254220.21.63.25516,382
86220.21.64.0/18220.21.64.1 to 220.21.127.254220.21.127.25516,382
87220.21.128.0/18220.21.128.1 to 220.21.191.254220.21.191.25516,382
88220.21.192.0/18220.21.192.1 to 220.21.255.254220.21.255.25516,382
89220.22.0.0/18220.22.0.1 to 220.22.63.254220.22.63.25516,382
90220.22.64.0/18220.22.64.1 to 220.22.127.254220.22.127.25516,382
91220.22.128.0/18220.22.128.1 to 220.22.191.254220.22.191.25516,382
92220.22.192.0/18220.22.192.1 to 220.22.255.254220.22.255.25516,382
93220.23.0.0/18220.23.0.1 to 220.23.63.254220.23.63.25516,382
94220.23.64.0/18220.23.64.1 to 220.23.127.254220.23.127.25516,382
95220.23.128.0/18220.23.128.1 to 220.23.191.254220.23.191.25516,382
96220.23.192.0/18220.23.192.1 to 220.23.255.254220.23.255.25516,382
97220.24.0.0/18220.24.0.1 to 220.24.63.254220.24.63.25516,382
98220.24.64.0/18220.24.64.1 to 220.24.127.254220.24.127.25516,382
99220.24.128.0/18220.24.128.1 to 220.24.191.254220.24.191.25516,382
100220.24.192.0/18220.24.192.1 to 220.24.255.254220.24.255.25516,382
101220.25.0.0/18220.25.0.1 to 220.25.63.254220.25.63.25516,382
102220.25.64.0/18220.25.64.1 to 220.25.127.254220.25.127.25516,382
103220.25.128.0/18220.25.128.1 to 220.25.191.254220.25.191.25516,382
104220.25.192.0/18220.25.192.1 to 220.25.255.254220.25.255.25516,382
105220.26.0.0/18220.26.0.1 to 220.26.63.254220.26.63.25516,382
106220.26.64.0/18220.26.64.1 to 220.26.127.254220.26.127.25516,382
107220.26.128.0/18220.26.128.1 to 220.26.191.254220.26.191.25516,382
108220.26.192.0/18220.26.192.1 to 220.26.255.254220.26.255.25516,382
109220.27.0.0/18220.27.0.1 to 220.27.63.254220.27.63.25516,382
110220.27.64.0/18220.27.64.1 to 220.27.127.254220.27.127.25516,382
111220.27.128.0/18220.27.128.1 to 220.27.191.254220.27.191.25516,382
112220.27.192.0/18220.27.192.1 to 220.27.255.254220.27.255.25516,382
113220.28.0.0/18220.28.0.1 to 220.28.63.254220.28.63.25516,382
114220.28.64.0/18220.28.64.1 to 220.28.127.254220.28.127.25516,382
115220.28.128.0/18220.28.128.1 to 220.28.191.254220.28.191.25516,382
116220.28.192.0/18220.28.192.1 to 220.28.255.254220.28.255.25516,382
117220.29.0.0/18220.29.0.1 to 220.29.63.254220.29.63.25516,382
118220.29.64.0/18220.29.64.1 to 220.29.127.254220.29.127.25516,382
119220.29.128.0/18220.29.128.1 to 220.29.191.254220.29.191.25516,382
120220.29.192.0/18220.29.192.1 to 220.29.255.254220.29.255.25516,382
121220.30.0.0/18220.30.0.1 to 220.30.63.254220.30.63.25516,382
122220.30.64.0/18220.30.64.1 to 220.30.127.254220.30.127.25516,382
123220.30.128.0/18220.30.128.1 to 220.30.191.254220.30.191.25516,382
124220.30.192.0/18220.30.192.1 to 220.30.255.254220.30.255.25516,382
125220.31.0.0/18220.31.0.1 to 220.31.63.254220.31.63.25516,382
126220.31.64.0/18220.31.64.1 to 220.31.127.254220.31.127.25516,382
127220.31.128.0/18220.31.128.1 to 220.31.191.254220.31.191.25516,382
128220.31.192.0/18220.31.192.1 to 220.31.255.254220.31.255.25516,382
129220.32.0.0/18220.32.0.1 to 220.32.63.254220.32.63.25516,382
130220.32.64.0/18220.32.64.1 to 220.32.127.254220.32.127.25516,382
131220.32.128.0/18220.32.128.1 to 220.32.191.254220.32.191.25516,382
132220.32.192.0/18220.32.192.1 to 220.32.255.254220.32.255.25516,382
133220.33.0.0/18220.33.0.1 to 220.33.63.254220.33.63.25516,382
134220.33.64.0/18220.33.64.1 to 220.33.127.254220.33.127.25516,382
135220.33.128.0/18220.33.128.1 to 220.33.191.254220.33.191.25516,382
136220.33.192.0/18220.33.192.1 to 220.33.255.254220.33.255.25516,382
137220.34.0.0/18220.34.0.1 to 220.34.63.254220.34.63.25516,382
138220.34.64.0/18220.34.64.1 to 220.34.127.254220.34.127.25516,382
139220.34.128.0/18220.34.128.1 to 220.34.191.254220.34.191.25516,382
140220.34.192.0/18220.34.192.1 to 220.34.255.254220.34.255.25516,382
141220.35.0.0/18220.35.0.1 to 220.35.63.254220.35.63.25516,382
142220.35.64.0/18220.35.64.1 to 220.35.127.254220.35.127.25516,382
143220.35.128.0/18220.35.128.1 to 220.35.191.254220.35.191.25516,382
144220.35.192.0/18220.35.192.1 to 220.35.255.254220.35.255.25516,382
145220.36.0.0/18220.36.0.1 to 220.36.63.254220.36.63.25516,382
146220.36.64.0/18220.36.64.1 to 220.36.127.254220.36.127.25516,382
147220.36.128.0/18220.36.128.1 to 220.36.191.254220.36.191.25516,382
148220.36.192.0/18220.36.192.1 to 220.36.255.254220.36.255.25516,382
149220.37.0.0/18220.37.0.1 to 220.37.63.254220.37.63.25516,382
150220.37.64.0/18220.37.64.1 to 220.37.127.254220.37.127.25516,382
151220.37.128.0/18220.37.128.1 to 220.37.191.254220.37.191.25516,382
152220.37.192.0/18220.37.192.1 to 220.37.255.254220.37.255.25516,382
153220.38.0.0/18220.38.0.1 to 220.38.63.254220.38.63.25516,382
154220.38.64.0/18220.38.64.1 to 220.38.127.254220.38.127.25516,382
155220.38.128.0/18220.38.128.1 to 220.38.191.254220.38.191.25516,382
156220.38.192.0/18220.38.192.1 to 220.38.255.254220.38.255.25516,382
157220.39.0.0/18220.39.0.1 to 220.39.63.254220.39.63.25516,382
158220.39.64.0/18220.39.64.1 to 220.39.127.254220.39.127.25516,382
159220.39.128.0/18220.39.128.1 to 220.39.191.254220.39.191.25516,382
160220.39.192.0/18220.39.192.1 to 220.39.255.254220.39.255.25516,382
161220.40.0.0/18220.40.0.1 to 220.40.63.254220.40.63.25516,382
162220.40.64.0/18220.40.64.1 to 220.40.127.254220.40.127.25516,382
163220.40.128.0/18220.40.128.1 to 220.40.191.254220.40.191.25516,382
164220.40.192.0/18220.40.192.1 to 220.40.255.254220.40.255.25516,382
165220.41.0.0/18220.41.0.1 to 220.41.63.254220.41.63.25516,382
166220.41.64.0/18220.41.64.1 to 220.41.127.254220.41.127.25516,382
167220.41.128.0/18220.41.128.1 to 220.41.191.254220.41.191.25516,382
168220.41.192.0/18220.41.192.1 to 220.41.255.254220.41.255.25516,382
169220.42.0.0/18220.42.0.1 to 220.42.63.254220.42.63.25516,382
170220.42.64.0/18220.42.64.1 to 220.42.127.254220.42.127.25516,382
171220.42.128.0/18220.42.128.1 to 220.42.191.254220.42.191.25516,382
172220.42.192.0/18220.42.192.1 to 220.42.255.254220.42.255.25516,382
173220.43.0.0/18220.43.0.1 to 220.43.63.254220.43.63.25516,382
174220.43.64.0/18220.43.64.1 to 220.43.127.254220.43.127.25516,382
175220.43.128.0/18220.43.128.1 to 220.43.191.254220.43.191.25516,382
176220.43.192.0/18220.43.192.1 to 220.43.255.254220.43.255.25516,382
177220.44.0.0/18220.44.0.1 to 220.44.63.254220.44.63.25516,382
178220.44.64.0/18220.44.64.1 to 220.44.127.254220.44.127.25516,382
179220.44.128.0/18220.44.128.1 to 220.44.191.254220.44.191.25516,382
180220.44.192.0/18220.44.192.1 to 220.44.255.254220.44.255.25516,382
181220.45.0.0/18220.45.0.1 to 220.45.63.254220.45.63.25516,382
182220.45.64.0/18220.45.64.1 to 220.45.127.254220.45.127.25516,382
183220.45.128.0/18220.45.128.1 to 220.45.191.254220.45.191.25516,382
184220.45.192.0/18220.45.192.1 to 220.45.255.254220.45.255.25516,382
185220.46.0.0/18220.46.0.1 to 220.46.63.254220.46.63.25516,382
186220.46.64.0/18220.46.64.1 to 220.46.127.254220.46.127.25516,382
187220.46.128.0/18220.46.128.1 to 220.46.191.254220.46.191.25516,382
188220.46.192.0/18220.46.192.1 to 220.46.255.254220.46.255.25516,382
189220.47.0.0/18220.47.0.1 to 220.47.63.254220.47.63.25516,382
190220.47.64.0/18220.47.64.1 to 220.47.127.254220.47.127.25516,382
191220.47.128.0/18220.47.128.1 to 220.47.191.254220.47.191.25516,382
192220.47.192.0/18220.47.192.1 to 220.47.255.254220.47.255.25516,382
193220.48.0.0/18220.48.0.1 to 220.48.63.254220.48.63.25516,382
194220.48.64.0/18220.48.64.1 to 220.48.127.254220.48.127.25516,382
195220.48.128.0/18220.48.128.1 to 220.48.191.254220.48.191.25516,382
196220.48.192.0/18220.48.192.1 to 220.48.255.254220.48.255.25516,382
197220.49.0.0/18220.49.0.1 to 220.49.63.254220.49.63.25516,382
198220.49.64.0/18220.49.64.1 to 220.49.127.254220.49.127.25516,382
199220.49.128.0/18220.49.128.1 to 220.49.191.254220.49.191.25516,382
200220.49.192.0/18220.49.192.1 to 220.49.255.254220.49.255.25516,382
201220.50.0.0/18220.50.0.1 to 220.50.63.254220.50.63.25516,382
202220.50.64.0/18220.50.64.1 to 220.50.127.254220.50.127.25516,382
203220.50.128.0/18220.50.128.1 to 220.50.191.254220.50.191.25516,382
204220.50.192.0/18220.50.192.1 to 220.50.255.254220.50.255.25516,382
205220.51.0.0/18220.51.0.1 to 220.51.63.254220.51.63.25516,382
206220.51.64.0/18220.51.64.1 to 220.51.127.254220.51.127.25516,382
207220.51.128.0/18220.51.128.1 to 220.51.191.254220.51.191.25516,382
208220.51.192.0/18220.51.192.1 to 220.51.255.254220.51.255.25516,382
209220.52.0.0/18220.52.0.1 to 220.52.63.254220.52.63.25516,382
210220.52.64.0/18220.52.64.1 to 220.52.127.254220.52.127.25516,382
211220.52.128.0/18220.52.128.1 to 220.52.191.254220.52.191.25516,382
212220.52.192.0/18220.52.192.1 to 220.52.255.254220.52.255.25516,382
213220.53.0.0/18220.53.0.1 to 220.53.63.254220.53.63.25516,382
214220.53.64.0/18220.53.64.1 to 220.53.127.254220.53.127.25516,382
215220.53.128.0/18220.53.128.1 to 220.53.191.254220.53.191.25516,382
216220.53.192.0/18220.53.192.1 to 220.53.255.254220.53.255.25516,382
217220.54.0.0/18220.54.0.1 to 220.54.63.254220.54.63.25516,382
218220.54.64.0/18220.54.64.1 to 220.54.127.254220.54.127.25516,382
219220.54.128.0/18220.54.128.1 to 220.54.191.254220.54.191.25516,382
220220.54.192.0/18220.54.192.1 to 220.54.255.254220.54.255.25516,382
221220.55.0.0/18220.55.0.1 to 220.55.63.254220.55.63.25516,382
222220.55.64.0/18220.55.64.1 to 220.55.127.254220.55.127.25516,382
223220.55.128.0/18220.55.128.1 to 220.55.191.254220.55.191.25516,382
224220.55.192.0/18220.55.192.1 to 220.55.255.254220.55.255.25516,382
225220.56.0.0/18220.56.0.1 to 220.56.63.254220.56.63.25516,382
226220.56.64.0/18220.56.64.1 to 220.56.127.254220.56.127.25516,382
227220.56.128.0/18220.56.128.1 to 220.56.191.254220.56.191.25516,382
228220.56.192.0/18220.56.192.1 to 220.56.255.254220.56.255.25516,382
229220.57.0.0/18220.57.0.1 to 220.57.63.254220.57.63.25516,382
230220.57.64.0/18220.57.64.1 to 220.57.127.254220.57.127.25516,382
231220.57.128.0/18220.57.128.1 to 220.57.191.254220.57.191.25516,382
232220.57.192.0/18220.57.192.1 to 220.57.255.254220.57.255.25516,382
233220.58.0.0/18220.58.0.1 to 220.58.63.254220.58.63.25516,382
234220.58.64.0/18220.58.64.1 to 220.58.127.254220.58.127.25516,382
235220.58.128.0/18220.58.128.1 to 220.58.191.254220.58.191.25516,382
236220.58.192.0/18220.58.192.1 to 220.58.255.254220.58.255.25516,382
237220.59.0.0/18220.59.0.1 to 220.59.63.254220.59.63.25516,382
238220.59.64.0/18220.59.64.1 to 220.59.127.254220.59.127.25516,382
239220.59.128.0/18220.59.128.1 to 220.59.191.254220.59.191.25516,382
240220.59.192.0/18220.59.192.1 to 220.59.255.254220.59.255.25516,382
241220.60.0.0/18220.60.0.1 to 220.60.63.254220.60.63.25516,382
242220.60.64.0/18220.60.64.1 to 220.60.127.254220.60.127.25516,382
243220.60.128.0/18220.60.128.1 to 220.60.191.254220.60.191.25516,382
244220.60.192.0/18220.60.192.1 to 220.60.255.254220.60.255.25516,382
245220.61.0.0/18220.61.0.1 to 220.61.63.254220.61.63.25516,382
246220.61.64.0/18220.61.64.1 to 220.61.127.254220.61.127.25516,382
247220.61.128.0/18220.61.128.1 to 220.61.191.254220.61.191.25516,382
248220.61.192.0/18220.61.192.1 to 220.61.255.254220.61.255.25516,382
249220.62.0.0/18220.62.0.1 to 220.62.63.254220.62.63.25516,382
250220.62.64.0/18220.62.64.1 to 220.62.127.254220.62.127.25516,382
251220.62.128.0/18220.62.128.1 to 220.62.191.254220.62.191.25516,382
252220.62.192.0/18220.62.192.1 to 220.62.255.254220.62.255.25516,382
253220.63.0.0/18220.63.0.1 to 220.63.63.254220.63.63.25516,382
254220.63.64.0/18220.63.64.1 to 220.63.127.254220.63.127.25516,382
255220.63.128.0/18220.63.128.1 to 220.63.191.254220.63.191.25516,382
256220.63.192.0/18220.63.192.1 to 220.63.255.254220.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses